clc;clear;close all;
memory_width=16;
fid=fopen('imagen.txt','w'); 

imagen=load('imagen.mat');
imagen=round(imagen.M);

top=2^15-1;
bottom=-2^15;

factor= 2; %Obtenido por medio de la comparacion entre el top y bottom y el maximo y el minimo
imagen=round(imagen/factor);

max_imagen = max(max(imagen));
min_imagen = min(min(imagen));

[p,N]=size(imagen);

for i=1:10
    image_part=imagen(:,i);
    for j=1:p
        fprintf(fid,'%s',double2binchar16(image_part(j)));
        fprintf(fid,'\n');
    end
end

fclose(fid);